Pages in file namespace don't show deletion log snippet if not-existing and previously deleted
Closed, ResolvedPublic

Description

Author: hurricanefan25.wikipedia

Description:
When visiting a red-linked file that has been deleted, you would either
a) go to Wikipedia:Upload
b) Show the edit page
c) Show the file page without the deletion file

Could c be adjusted so it would show the deletion log above by default?


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz34863.
bzimport created this task.Via LegacyMar 1 2012, 6:53 PM
MarkAHershberger added a comment.Via ConduitMar 1 2012, 9:17 PM

(In reply to comment #0)

c) Show the file page without the deletion file

Could c be adjusted so it would show the deletion log above by default?

Not giving this a milestone since I'm not sure this is a regression.

Bawolff added a comment.Via ConduitMar 1 2012, 11:01 PM

Hmm, that's interesting. The deletion log snippet is shown for non-file namespace pages. Would appear to be another bug due to too much duplication between WikiPage and the specialized page classes...

Bawolff added a comment.Via ConduitMar 1 2012, 11:23 PM

btw, just tested on 1.18. This is not a regression.

Bawolff added a comment.Via ConduitMar 2 2012, 1:04 AM

Fixed in r112864 (Note, that is MW 1.20, so unless it gets merged, this change will probably not show up on wikipedia for a little while).

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:27 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:22 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.